﻿Partial Public Class MainPage
    Inherits PhoneApplicationPage
    Public Sub New()
        InitializeComponent()
    End Sub

    Protected Overrides Sub OnNavigatedFrom(ByVal args As NavigationEventArgs)
        Dim appSettings As AppSettings = (TryCast(Application.Current, App)).AppSettings

        appSettings.XAmplitude = xAmplitude.Value
        appSettings.XFrequency = xFrequency.Value
        appSettings.YAmplitude = yAmplitude.Value
        appSettings.YFrequency = yFrequency.Value
        appSettings.Brightness = brightness.Value
        appSettings.Persistence = persistence.Value

        MyBase.OnNavigatedFrom(args)
    End Sub

    Protected Overrides Sub OnNavigatedTo(ByVal args As NavigationEventArgs)
        Dim appSettings = (TryCast(Application.Current, App)).AppSettings

        xAmplitude.Value = appSettings.XAmplitude
        xFrequency.Value = appSettings.XFrequency
        yAmplitude.Value = appSettings.YAmplitude
        yFrequency.Value = appSettings.YFrequency
        brightness.Value = appSettings.Brightness
        persistence.Value = appSettings.Persistence

        MyBase.OnNavigatedTo(args)
    End Sub
End Class
