﻿    Public Class RoundingConverter
    Implements IValueConverter


    Public Function Convert(ByVal value As Object,
                            ByVal targetType As Type,
                            ByVal parameter As Object,
                            ByVal culture As CultureInfo) As Object Implements System.Windows.Data.IValueConverter.Convert
        Dim digits = 0

        If parameter IsNot Nothing Then
            digits = System.Int32.Parse(parameter.ToString())
        End If

        Return Math.Round(System.Double.Parse(value.ToString()), digits)
    End Function

    Public Function ConvertBack(ByVal value As Object,
                                ByVal targetType As Type,
                                ByVal parameter As Object,
                                ByVal culture As CultureInfo) As Object Implements System.Windows.Data.IValueConverter.ConvertBack
        Return CDbl(value)
    End Function
End Class